org.apache.ode.bpel.compiler

## Class WaitGeneratorMessages

- java.lang.Object
- - java.util.ResourceBundle
  - - org.apache.ode.utils.msg.MessageBundle
    - - org.apache.ode.bpel.compiler.api.CompilationMessageBundle
      - - org.apache.ode.bpel.compiler.WaitGeneratorMessages

-     public class WaitGeneratorMessages
      extends CompilationMessageBundle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.ResourceBundle

      `java.util.ResourceBundle.Control`

  - ### Field Summary

    - ### Fields inherited from class java.util.ResourceBundle

      `parent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WaitGeneratorMessages()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompilationMessage` | `errWaitMustDefineForOrUntilDuration()` Must specify exactly one "for" or "until" expression.

    - ### Methods inherited from class org.apache.ode.bpel.compiler.api.CompilationMessageBundle

      `formatCompilationMessage`

    - ### Methods inherited from class org.apache.ode.utils.msg.MessageBundle

      `format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

    - ### Methods inherited from class java.util.ResourceBundle

      `clearCache, clearCache, containsKey, getBaseBundleName, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, keySet, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WaitGeneratorMessages

          public WaitGeneratorMessages()

  - ### Method Detail

    - #### errWaitMustDefineForOrUntilDuration

          public CompilationMessage errWaitMustDefineForOrUntilDuration()

      Must specify exactly one "for" or "until" expression.